import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  name: z.literal(true).optional(),
  mimeType: z.literal(true).optional(),
  fileSize: z.literal(true).optional(),
  folderId: z.literal(true).optional(),
  isComplete: z.literal(true).optional(),
  totalChunks: z.literal(true).optional(),
  diskPath: z.literal(true).optional(),
  createdAt: z.literal(true).optional(),
  updatedAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const CloudFileCountAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileCountAggregateInputType>;
export const CloudFileCountAggregateInputObjectZodSchema = makeSchema();
